## alsasink

alsasink

## Properties

gchar * | card-name | Read
gchar * | device | Read / Write
gchar * | device-name | Read

## Types and Values

struct | GstAlsaSink

## Object Hierarchy

        GObject
        ╰── GInitiallyUnowned
            ╰── GstObject
                ╰── GstElement
                    ╰── GstBaseSink
                        ╰── GstAudioBaseSink
                            ╰── GstAudioSink
                                ╰── GstAlsaSink

## Description

This element renders audio samples using the ALSA audio API.

#### Example pipelines

    1

    gst-launch-1.0 -v uridecodebin uri=file:///path/to/audio.ogg ! audioconvert ! audioresample ! autoaudiosink

Play an Ogg/Vorbis file and output audio via ALSA.

## Synopsis

### Element Information

plugin | alsa
author | Wim Taymans <wim@fluendo.com>
class | Sink/Audio

### Element Pads

name | sink
direction | sink
presence | always
details | audio/x-raw, format=(string){ S8, U8, S16LE, S16BE, U16LE, U16BE, S24_32LE, S24_32BE, U24_32LE, U24_32BE, S32LE, S32BE, U32LE, U32BE, S24LE, S24BE, U24LE, U24BE, S20LE, S20BE, U20LE, U20BE, S18LE, S18BE, U18LE, U18BE, F32LE, F32BE, F64LE, F64BE }, layout=(string)interleaved, rate=(int)[ 1, 2147483647 ], channels=(int)[ 1, 2147483647 ]
| audio/x-ac3, framed=(boolean)true
| audio/x-eac3, framed=(boolean)true
| audio/x-dts, framed=(boolean)true, block-size=(int){ 512, 1024, 2048 }
| audio/mpeg, mpegversion=(int)1, mpegaudioversion=(int)[ 1, 3 ], parsed=(boolean)true

## Functions

## Types and Values

### struct GstAlsaSink

    struct GstAlsaSink;

Opaque data structure

## Property Details

### The `“card-name”` property

      “card-name”                gchar *

Human-readable name of the sound card.

Flags: Read

Default value: ""

### The `“device”` property

      “device”                   gchar *

ALSA device, as defined in an asound configuration file.

Flags: Read / Write

Default value: "default"

### The `“device-name”` property

      “device-name”              gchar *

Human-readable name of the sound device.

Flags: Read

Default value: ""

## See Also

alsasrc